{% extends "admin/base_site.html" %}
{% load i18n admin_urls static %}

{% block title %} {{ page_title }} {% endblock title %}
{% block extrastyle %}{{ block.super }}
  <link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />
{% endblock %}
{% block javascripts %}
  {{ block.super }}
  <script src="/static/admin/js/custom_changeForm.min.js"></script>
{% endblock %}

{% block extrahead %}
  {{ block.super }}
  <script type="text/javascript" src="{% url 'admin:jsi18n' %}"></script>
  {{ media }}
  <script type="text/javascript" src="{% static 'admin/js/cancel.js' %}"></script>
{% endblock %}

{% block content %}
  <div class="row removeform-top">
    <div class="col-md-12">

      <div class="x_panel">
        <div class="x_title">
          <h2>{{ xPanel_title }}</h2>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        <div class="x_content">
          {% if perms_lacking %}

            <div class="row">
              <div class="col-sm-12">
                <p>{% blocktrans with escaped_object=object %}Deleting the {{ object_name }} '{{ escaped_object }}' would result in deleting related objects, but your account doesn't have permission to delete the following types of objects:{% endblocktrans %}</p>
              </div>
            </div>

            <div class="row">
              <div class="col-sm-12">
                <ul>
                {% for obj in perms_lacking %}
                  <li>{{ obj }}</li>
                {% endfor %}
                </ul>
              </div>
            </div>

          {% elif protected %}

            <div class="row">
              <div class="col-sm-12">
                <p>{% blocktrans with escaped_object=object %}Deleting the {{ object_name }} '{{ escaped_object }}' would require deleting the following protected related objects:{% endblocktrans %}</p>
              </div>
            </div>

            <div class="row">
              <div class="col-sm-12">
                <ul>
                {% for obj in protected %}
                  <li>{{ obj }}</li>
                {% endfor %}
                </ul>
              </div>
            </div>

          {% else %}

            <div class="row">
              <div class="col-sm-12">
                <p>{% blocktrans with escaped_object=object %}Are you sure you want to delete the {{ object_name }} "{{ escaped_object }}"?{% endblocktrans %}</p>
              </div>
            </div>

            <div class="row" style="margin-top:1rem">
              <div class="col-sm-12">
                <form method="post">{% csrf_token %}
                  <div>
                    <input type="hidden" name="post" value="yes" />
                    {% if is_popup %}<input type="hidden" name="{{ is_popup_var }}" value="1" />{% endif %}
                    {% if to_field %}<input type="hidden" name="{{ to_field_var }}" value="{{ to_field }}" />{% endif %}
                    <input type="submit" class="btn btn-danger" value="{% trans "Yes, I'm sure" %}" />
                    <a href="{% url opts|admin_urlname:'changelist' %}"" class="btn btn-primary">{% trans "No, take me back" %}</a>
                  </div>
                </form>
              </div>
            </div>

            <hr>

            <fieldset>
              <div class="row">
                <div class="col-sm-6 col-xs-6 collapse-fieldset">
                  <h4>Items that will be deleted</h4>
                </div>
                <div class="col-sm-6 col-xs-6 text-right collapse-fieldset">
                  <span class="fieldset_toggle fa fa-eye-slash" title="show/hide"></span>
                </div>
              </div>

              <div class="div_fieldset collapse">
                <div class="row">
                  <div class="col-sm-6 removeform-col1">
                    {% include "admin/includes/object_delete_summary.html" %}
                  </div>
                  <div class="col-sm-6 removeform-col2">
                    <h4>{% trans "Objects" %}</h4>
                    <ul>{{ deleted_objects|unordered_list }}</ul>
                  </div>
                </div>

                <div class="row" style="margin-top:3rem;">
                  <div class="col-sm-12">
                    <form method="post">{% csrf_token %}
                      <div>
                        <input type="hidden" name="post" value="yes" />
                        {% if is_popup %}<input type="hidden" name="{{ is_popup_var }}" value="1" />{% endif %}
                        {% if to_field %}<input type="hidden" name="{{ to_field_var }}" value="{{ to_field }}" />{% endif %}
                        <input type="submit" class="btn btn-danger" value="{% trans "Yes, I'm sure" %}" />
                        <a href="{% url opts|admin_urlname:'changelist' %}"" class="btn btn-primary">{% trans "No, take me back" %}</a>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </fieldset>

          {% endif %}
        </div>
      </div>

    </div>
  </div>
{% endblock %}